import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { DashboardModule } from '@widget/app/app-portal-view2-db-dashboard/app-portal-view2-db-dashboard.module';

import {AppPortalView2Page} from './app-portal-view2.page';

@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: AppPortalView2Page}]),
  ],
  exports:[RouterModule]
  })
export class AppPortalView2RouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    AppPortalView2RouteModule,
    DashboardModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [AppPortalView2Page],
  entryComponents:[AppPortalView2Page],
  exports:[AppPortalView2Page]
})
export class AppPortalView2Module {}
